Category: Rails
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3660
Description

The test bundler group currently contains spork, which is a pretty inactive project that also does not support Rails 5, so I'd like to
replace it.

Rails 4.1 introduced spring by default in new applications to preload Rails for both test and development environments, so it works to
replace use of spork for tests (bin/rake test test/unit/domain_test.rb) and also speeds up console/runner usage etc.
https://github.com/rails/spring#readme has more usage info.

Associated revisions

Revision 4b836b62 - 07/21/2016 03:51 AM - Dominic Cleal
fixes #15751 - replace spork with spring in development
To make use of it, run bin/rails and bin/rake rather than plain

rails or rake commands, and run “spring status™ or “spring stop” to
check and stop current background processes.

Test log removal has moved to the logging framework as the file would

not be recreated after being deleted in the test helper, since the
Rails environment and logger are not reloaded on each “rake test'.

History

#1 - 07/20/2016 06:42 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3660 added

#2 - 07/21/2016 04:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4b836b6295dd2e928ee452a514fef51432ce2b73.

#3 - 07/21/2016 04:14 AM - Dominic Cleal

- translation missing: en.field_release set to 160
https://github.com/sporkrb/spork
http://guides.rubyonrails.org/upgrading_ruby_on_rails.html#spring
https://github.com/rails/spring#readme
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4b836b6295dd2e928ee452a514fef51432ce2b73
